org.apache.ivy.plugins.repository.sftp

## Class SFTPResource

- java.lang.Object
- - org.apache.ivy.plugins.repository.sftp.SFTPResource

All Implemented Interfaces:
  Resource

    public class SFTPResource
    extends java.lang.Object
    implements Resource

### Constructor Summary

Constructors
Constructor and Description
`SFTPResource(SFTPRepository repository, java.lang.String path)`

### Method Summary

Methods
`Resource` `clone(java.lang.String cloneName)` Clones this resource with a new resource with a different name
`boolean` `exists()` Determine if the resource is available.
`long` `getContentLength()` Get the resource size
`long` `getLastModified()` Get the date the resource was last modified
`java.lang.String` `getName()` Get the name of the resource.
`boolean` `isLocal()` Is this resource local to this host, i.e. is it on the file system?
`java.io.InputStream` `openStream()` Opens a stream on this resource
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SFTPResource

    public SFTPResource(SFTPRepository repository,
                java.lang.String path)

### Method Detail

#### getName

    public java.lang.String getName()

Description copied from interface: `Resource`
Get the name of the resource.

Specified by:
  `getName` in interface `Resource`
Returns:
  the repositorie's assigned resource name/identifier.

#### clone

    public Resource clone(java.lang.String cloneName)

Description copied from interface: `Resource`
Clones this resource with a new resource with a different name

Specified by:
  `clone` in interface `Resource`
Parameters:
  `cloneName` - the name of the clone
Returns:
  the cloned resource

#### getLastModified

    public long getLastModified()

Description copied from interface: `Resource`
Get the date the resource was last modified

Specified by:
  `getLastModified` in interface `Resource`
Returns:
  A `long` value representing the time the file was last modified, measured in milliseconds since the epoch (00:00:00 GMT, January 1, 1970), or `0L` if the file does not exist or if an I/O error occurs.

#### getContentLength

    public long getContentLength()

Description copied from interface: `Resource`
Get the resource size

Specified by:
  `getContentLength` in interface `Resource`
Returns:
  a `long` value representing the size of the resource in bytes.

#### exists

    public boolean exists()

Description copied from interface: `Resource`
Determine if the resource is available. Note that this method only checks for availability, not for actual existence.

Specified by:
  `exists` in interface `Resource`
Returns:
  `boolean` value indicating if the resource is available.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isLocal

    public boolean isLocal()

Description copied from interface: `Resource`
Is this resource local to this host, i.e. is it on the file system?

Specified by:
  `isLocal` in interface `Resource`
Returns:
  `boolean` value indicating if the resource is local.

#### openStream

    public java.io.InputStream openStream()
                                   throws java.io.IOException

Description copied from interface: `Resource`
Opens a stream on this resource

Specified by:
  `openStream` in interface `Resource`
Returns:
  the opened input stream
Throws:
  `java.io.IOException`